Public Member Functions | Private Attributes | List of all members
WPXTableList Class Reference

`#include <WPXTableList.h>`

## Public Member Functions
| WPXTableList ()
std::shared_ptr< WPXTable > & | operator[] (unsigned long i) const
void | add (const std::shared_ptr< WPXTable > &table)
size_t | size () const

## Private Attributes
std::shared_ptr< std::vector< std::shared_ptr< WPXTable > > > | m_tableList

## Constructor & Destructor Documentation

## ◆ WPXTableList()

WPXTableList::WPXTableList | ( |  | ) |

## Member Function Documentation

## ◆ add()

void WPXTableList::add | ( | const std::shared_ptr< WPXTable > & | table | ) |
| inline

Referenced by WP6StylesListener::defineTable(), WP3StylesListener::startTable(), WP5StylesListener::startTable(), and WP6StylesListener::startTable().

## ◆ operator[]()

std::shared_ptr<WPXTable>& WPXTableList::operator[] | ( | unsigned long | i | ) | const
| inline

## ◆ size()

size_t WPXTableList::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_tableList

std::shared_ptr<std::vector<std::shared_ptr<WPXTable> > > WPXTableList::m_tableList
| private

Referenced by add(), operator[](), and size().

The documentation for this class was generated from the following files:

- WPXTableList.h
- WPXTableList.cpp